Loading...
Searching...
No Matches
Block.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/Utilities/Assert.h>`
`#include <casacore/casa/Utilities/Copy.h>`
`#include <casacore/casa/Utilities/DataType.h>`
`#include <casacore/casa/Containers/Allocator.h>`
`#include <cstddef>`
`#include <algorithm>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | casacore::BlockTrace
| More...
class | casacore::Block_internal_IsFundamental< T >
class | casacore::Block_internal_IsPointer< T >
class | casacore::Block< T >
| simple 1-D array More...
class | casacore::PtrBlock< T >
| A drop-in replacement for Block<T*>. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines